> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ton.org/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.ton.org/feedback

```json
{
  "path": "/ecosystem/api/toncenter/v3/jettons/get-jetton-transfers",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get Jetton Transfers

> Get Jetton transfers by specified filters



## OpenAPI

````yaml get /api/v3/jetton/transfers
openapi: 3.0.0
info:
  title: TON Index (Go)
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  version: 1.2.4-rc
  contact: {}
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com
security: []
paths:
  /api/v3/jetton/transfers:
    get:
      tags:
        - Jettons
      summary: Get Jetton Transfers
      description: Get Jetton transfers by specified filters
      operationId: api_v3_get_jetton_transfers
      parameters:
        - name: owner_address
          in: query
          description: Address of jetton wallet owner in any form. Max 1000
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: jetton_wallet
          in: query
          description: 'Jetton wallet address in any form. Max: 1000.'
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: jetton_master
          in: query
          description: Jetton master address in any form.
          schema:
            type: string
        - name: direction
          in: query
          description: Direction of transfer. *Note:* applied only with owner_address.
          schema:
            type: string
            enum:
              - in
              - out
        - name: start_utime
          in: query
          description: >-
            Query transactions with generation UTC timestamp **after** given
            timestamp.
          schema:
            type: integer
            format: int32
            minimum: 0
        - name: end_utime
          in: query
          description: >-
            Query transactions with generation UTC timestamp **before** given
            timestamp.
          schema:
            type: integer
            format: int32
            minimum: 0
        - name: start_lt
          in: query
          description: Query transactions with `lt >= start_lt`.
          schema:
            type: integer
            format: int64
            minimum: 0
        - name: end_lt
          in: query
          description: Query transactions with `lt <= end_lt`.
          schema:
            type: integer
            format: int64
            minimum: 0
        - name: limit
          in: query
          description: Limit number of queried rows. Use with *offset* to batch read.
          schema:
            type: integer
            format: int32
            default: 10
            minimum: 1
            maximum: 1000
        - name: offset
          in: query
          description: Skip first N rows. Use with *limit* to batch read.
          schema:
            type: integer
            format: int32
            default: 0
            minimum: 0
        - name: sort
          in: query
          description: Sort transactions by lt.
          schema:
            type: string
            default: desc
            enum:
              - asc
              - desc
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JettonTransfersResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security: []
components:
  schemas:
    JettonTransfersResponse:
      type: object
      properties:
        address_book:
          $ref: '#/components/schemas/AddressBook'
        jetton_transfers:
          type: array
          items:
            $ref: '#/components/schemas/JettonTransfer'
        metadata:
          $ref: '#/components/schemas/Metadata'
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string
    AddressBook:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/AddressBookRow'
    JettonTransfer:
      type: object
      properties:
        amount:
          type: string
        custom_payload:
          type: string
        decoded_custom_payload:
          type: array
          items:
            type: integer
        decoded_forward_payload:
          type: array
          items:
            type: integer
        destination:
          type: string
        forward_payload:
          type: string
        forward_ton_amount:
          type: string
        jetton_master:
          type: string
        query_id:
          type: string
        response_destination:
          type: string
        source:
          type: string
        source_wallet:
          type: string
        trace_id:
          type: string
        transaction_aborted:
          type: boolean
        transaction_hash:
          type: string
        transaction_lt:
          type: string
          example: '0'
        transaction_now:
          type: integer
    Metadata:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/AddressMetadata'
    AddressBookRow:
      type: object
      properties:
        domain:
          type: string
        interfaces:
          type: array
          items:
            type: string
        user_friendly:
          type: string
    AddressMetadata:
      type: object
      properties:
        is_indexed:
          type: boolean
        token_info:
          type: array
          items:
            $ref: '#/components/schemas/TokenInfo'
    TokenInfo:
      type: object
      properties:
        description:
          type: string
        extra:
          type: object
          additionalProperties: true
        image:
          type: string
        name:
          type: string
        nft_index:
          type: string
        symbol:
          type: string
        type:
          type: string
        valid:
          type: boolean

````